import 'dart:convert';
import 'package:client/src/decoding/bulletinDefinition/BulletinDefinition.dart';
import 'package:utils/utils.dart' as util;
import 'package:http/http.dart' as http;

Future<List<util.BulletinDefinition>> loadBulletinDefinitions(String serverPath, String userID) async {
  List<util.BulletinDefinition> bulletinList = new List();

  //TODO: serverpath in utils --> constants
  final response = await http.get('$serverPath/turnfriendly/ws/rest/bulletins/config', headers: {'userId': '$userID'});

  print(response.statusCode);
  if (response.statusCode == 200) {
    final jsonresponse = json.decode(utf8.decode(response.bodyBytes));

    for (int i = 0; i < jsonresponse.length; i++) {
      bulletinList.add(BulletinDefinition.fromJson(jsonresponse[i]));
    }
  }
  return bulletinList;
}
